﻿@using Jumbula.Web.WebLogic.UserService
@model List<SportsClub.Areas.Dashboard.Models.DashboardMenuItemViewModel>

@{
    Layout = null;
    var currentUserName = this.GetCurrentUserName();
    var currentRole = this.GetCurrentUserRole();
    var clubName = this.GetCurrentClubName();

    var mapKey = Jumbula.Web.Mvc.WebConfig.WebConfigHelper.GoogleMapAPIKey;
}

<!DOCTYPE html>
<!--[if IE 8 ]>    <html class="ie8"> <![endif]-->
<!--[if IE 9 ]>    <html class="ie9"> <![endif]-->
<html lang="en" xmlns:fb="http://ogp.me/ns/fb#" ng-app="dashboardApp">
<head>
    <title>@clubName</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    @Html.MetaAcceptLanguage()

    @if (Jumbula.Web.Mvc.WebConfig.WebConfigHelper.NoFlowNoIndex)
    {
        // show this tag in dev and Qa mode
        <meta name="ROBOTS" content="NOINDEX, NOFOLLOW" />
    }

    <link href='@Url.Content("~/favicon.ico")' rel='shortcut icon' type='image/x-icon' />
    <link href='@Url.Content("~/favicon.ico")' rel='icon' type='image/x-icon' />

    @* HTML5 shim, for IE6-8 support of HTML5 elements *@
    <!--[if lt IE 9]>
        <script type="text/javascript" src="/Scripts/html5shiv.js"></script>
    <![endif]-->

    <script src="https://maps.googleapis.com/maps/api/js?key=@mapKey&signed_in=true&libraries=places&sensor=false" async defer></script>

    <!-- saved from url=(0014)about:internet -->
    <link href='https://fonts.googleapis.com/css?family=Raleway:600,400,200,100' rel='stylesheet' type='text/css'>
    @* CSS *@

    @Styles.Render("~/bundles/jumbulaIcons")
    @Styles.Render("~/bundles/sharedStyles")
    @Styles.Render("~/bundles/metroUiStyles")
    @Styles.Render("~/bundles/dashboardStyles")
    @Styles.Render("~/bundles/kendoCommonStyles")
    @Styles.Render("~/bundles/directivesStyles")


    <style>
        .metro .dropdown-menu > li > a.caret-left:after {
            -webkit-transform: rotate(90deg) !important;
            -moz-transform: rotate(90deg) !important;
            -ms-transform: rotate(90deg) !important;
            -o-transform: rotate(90deg) !important;
            transform: rotate(90deg) !important;
            right: 90% !important;
            left: initial !important;
        }

        .center-items li a {
            text-align: center !important;
        }

        .dropdown-menu li a span.title-item {
            display: block;
            font-weight: bold;
            height: 25px;
            line-height: 25px;
        }

        .dropdown-menu li a span.sub-title-item {
            display: block;
            height: 20px;
            line-height: 20px;
        }

        .items-border-bottom li {
            border-bottom: 1px solid rgba(255, 255, 255, 0.24) !important;
        }

            .items-border-bottom li:last-child {
                border-bottom: none !important;
            }

        .account .info span:first-child {
            font-weight: bold;
        }

        .account .dropdown-menu .divider {
            background-color: rgb(61, 118, 164);
        }

            .account .dropdown-menu .divider:hover {
                background-color: rgb(61, 118, 164);
            }

        .overflow-summary li a span {
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
        }
    </style>

</head>

<body id="mainBody" class="metro" ng-controller="mainController as MC">
    <!--Top menu-->
    <nav class="navigation-bar navigation-bar-top">
        <nav class="navigation-bar-content">
            <div class="element brand-name">
                <span>Jumbula</span>
            </div>
            <div class="element image-button image-left place-right account-menu-top" ng-init="MC.account._isAccountMenuOpen = false" ng-class="{'active':MC.account._isAccountMenuOpen}" ng-click="MC.account._isAccountMenuOpen = !MC.account._isAccountMenuOpen">
                @*<div class="avatar">
                        <img ng-src="{{MC.account.logo}}" alt="@clubName" />
                    </div>
                    <div class="info">
                        <span title="@clubName">@clubName</span>
                    </div>*@
                <span class="account-menu-clubnames" title="@clubName">@clubName</span>
                <img class="account-menu-logo" ng-src="{{MC.account.logo}}" alt="@clubName" />

                <div class="clearfix"></div>
                <ul class="dropdown-menu place-right center-items" data-role="dropdown" ng-class="{'block':MC.account._isAccountMenuOpen}">
                    <li><span title="@currentUserName">@currentUserName</span></li>
                    <li><span>@currentRole</span></li>
                    <li class="divider"></li>
                    <li ng-show="MC.Clubs">

                        <a href="#" class="dropdown-toggle caret-left">Domains</a>
                        <ul class="dropdown-menu drop-left items-border-bottom overflow-summary add-scroll" data-role="dropdown" style="display: block;margin-top:4px;">

                            <li ng-repeat="club in MC.Clubs">
                                <a target="_blank" href="/Account/RedirectToClub?clubDomain={{club.Domain}}" title="{{club.Name}}">
                                    <span class="title-item" ng-bind="club.Name"></span>
                                </a>
                            </li>
                        </ul>

                    </li>
                    <li ng-show="MC.isAllowedAction('Settings_View')"><a ui-sref="Settings">Settings</a></li>
                    <li><a ng-href="{{MC.account.singOut}}">Log out</a></li>
                </ul>
            </div>
            <a class="nav-item element place-right" ng-class="{'with-number': MC.Unread != 0}" ui-sref="MessagingInbox"><i class="jbi-comments-1"></i><span class="number-box" ng-bind="MC.Unread != 0 ? MC.Unread: ''"></span></a>
            <!--Jumbula training component start-->
            <div class="jb-training place-right">
                <div id="trainingBox">                  
                </div>
            </div>
            <!--Jumbula training component end-->
    
        </nav>
    </nav>

    <div id="myJbContainer" class="{{ pageClass() }}">

        <div>
            <div id="sidePanel" class="side-panel-custom">
                <ul>

                    @foreach (var menuItem in Model)
                    {
                        <li>
                            <a id="@menuItem.Name" ui-sref-active='active' ui-sref='@menuItem.Link' class="shortcut" ng-click="MC.activeTab = '@menuItem.Link.ToUpper()'">
                                <i class="@menuItem.Icon"></i>
                                @menuItem.Title
                            </a>
                        </li>
                    }

                </ul>
            </div>

            <div id="bladeWrapper" ng-class="{'collapse' : !step.isExpanded, 'dashboard-step' : step, 'messaging-large-blade': MC.bladeIsWide()}" ng-repeat="step in MC.steps | orderBy:'order':reverse" data-step="{{$index + 1}}" ng-include="step.url" ng-animate=" 'animate' ">

            </div>

            <div id="bodyPanel">
                <div class="view" ng-animate=" 'animate' " ui-view onload="initialize()"></div>

                <div ng-show="MC.account._isAccountMenuOpen" class="close-account-menu" ng-click="MC.account._isAccountMenuOpen = !MC.account._isAccountMenuOpen"></div>
                <div class="clearfix"></div>
            </div>
        </div>

    </div>

    <div ng-if="MC.jbConfirmation.show" class="jb-confirm" ng-class="{'active':MC.jbConfirmation.show}" ng-animate=" 'animate' " ng-keyup="MC.jbConfirmation.keyup($event)" ng-click="MC.jbConfirmation.focusOnYes($event)">
        <div>
            <div id="confirm" ng-if="!MC.jbConfirmation.isTemplateMode">
                <h3 ng-bind="MC.jbConfirmation.title"></h3>
                <p ng-bind="MC.jbConfirmation.message"></p>
                <button id="btn-Yes" ng-click="MC.jbConfirmation.yes();" class="large bg-transparent fg-white place-right yes" style="outline: none;border: none;"  ng-bind="MC.jbConfirmation.yesText"></button>
                <button id="btn-No" ng-click="MC.jbConfirmation.no();" class="large bg-transparent fg-white place-right margin-right20 no" autofocus style="outline: none;border: none;" ng-bind="MC.jbConfirmation.noText"></button>
            </div>
            <div ng-if="MC.jbConfirmation.isTemplateMode">
                <div ng-bind-html="MC.jbConfirmation.template"></div>
            </div>
        </div>
    </div>

    <div id="loadingDashboard">
        <div class="inner-content">
            <div class='loading-bar'></div>
            <h3 id="loadingBoxTitle"></h3>
        </div>
    </div>

    <span id="notification"></span>
    <div class="position-holder navigation-bottom"></div>
    <div class="position-holder viewport-bottom"></div>
    <div class="position-holder page-bottom"></div>
    <div id="fullModal">
        <span id="fullModalClose"><i class="jbi-cancel fg-white"></i></span>
        <div class="modal__content"></div>
    </div>
    @Scripts.Render("~/bundles/jqueryScripts")

    @Scripts.Render("~/bundles/signalRScripts")

    @Scripts.Render("~/bundles/dashboardLibraryScripts")

    @Scripts.Render("~/bundles/angularJsScripts")

    @Scripts.Render("~/bundles/metroUiScripts")

    @Scripts.Render("~/bundles/dashboardThirdPartyScripts")
    @Scripts.Render("~/bundles/dashboardAppScripts")
    @Scripts.Render("~/bundles/dashboardControllersScripts")
    @Scripts.Render("~/bundles/dashboardDirectivesScripts")
    @Scripts.Render("~/bundles/dashboardFiltersScripts")
    @Scripts.Render("~/bundles/dashboardServicesScripts")
    @Scripts.Render("~/bundles/dashboardUtilitiesScripts")

    @Scripts.Render("~/bundles/kenodUiScripts")




    <script src="~/signalr/hubs"></script>

    <script type="text/javascript" async>
        var symbol = "$"
        var currentUserRoleId = 0;

        $(document).ready(function () {
            var currentLang = $("meta[name='accept-language']").attr("content");

            if (currentLang == 'zh-CN') {
                symbol = "￥";
            }
        });


        var readyStateCheckInterval = setInterval(function () {
            if (document.readyState === "complete") {
                clearInterval(readyStateCheckInterval);
                // init();
            }
        }, 10);

        function removeLoadingBox() {
            var $loadingDashboard = $('#loadingDashboard');
            if (readyStateCheckInterval) {
                $loadingDashboard.animate({ opacity: 0 }, 1000, function () { $loadingDashboard.remove() });
            } else {
                removeLoadingBox();
            }
        }

        function freetrialJumpInAnimation() {
            var $loadingDashboard = $('#loadingDashboard');
            var animationTitles = ["Connecting with jumbula...", "Getting dashboard information...", "We\'re preparing your dashboard..."];
            var count = 0;
            $('#loadingBoxTitle').text(animationTitles[count]);
            function changeAnimationTitle() {
                $('#loadingBoxTitle').text('');
                count++;
                $('#loadingBoxTitle').text(animationTitles[count]);

                if ((count == animationTitles.length) && readyStateCheckInterval) {
                    removeLoadingBox()
                }
            }
            setInterval(changeAnimationTitle, 3000);
        };
    </script>
</body>
</html>